Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTransformStack Class Reference

`#include <deMath.hpp>`

Collaboration diagram for deTransformStack:

[legend]
List of all members.

## Public Member Functions
| deTransformStack ()
| ~deTransformStack ()
deBoolean | Push (const deTransformInfo &transform, deTransformInfo *concat=NULL)
| compute the concatenation of a transform with the previous top of the stack, and store the concatenation as the new top.
deBoolean | Pop (deTransformInfo &transform)
| remove the last-inserted transform from the stack
deBoolean | Pop ()
| remove the last-inserted transform from the stack
deBoolean | Peek (deTransformInfo &transform)
| view the concatenation of all the currently-stored transforms
deBoolean | Clear ()
| remove all the transforms from this structure
## Private Attributes
deTStack< deTransform > | m_Stack

## Detailed Description

a class for maintaining a hierarchy of transformations. concatenations are performed with first-in on the left.

## Constructor & Destructor Documentation

deTransformStack::deTransformStack | ( |  | ) | `[inline]`

deTransformStack::~deTransformStack | ( |  | ) | `[inline]`

## Member Function Documentation

deBoolean deTransformStack::Clear | ( |  | ) | `[inline]`

| remove all the transforms from this structure

deBoolean deTransformStack::Peek | ( | deTransformInfo & | transform | ) |

| view the concatenation of all the currently-stored transforms

deBoolean deTransformStack::Pop | ( |  | ) |

| remove the last-inserted transform from the stack

deBoolean deTransformStack::Pop | ( | deTransformInfo & | transform | ) |

| remove the last-inserted transform from the stack

deBoolean deTransformStack::Push | ( | const deTransformInfo & | transform,
|  | deTransformInfo * | concat = NULL
| ) |

| compute the concatenation of a transform with the previous top of the stack, and store the concatenation as the new top.

## Member Data Documentation

deTStack<deTransform> deTransformStack::m_Stack`[private]`

The documentation for this class was generated from the following files:

- deMath.hpp
- deMatrix4.cpp